com.dlsc.flexgantt.model.scheduling

## Class DefaultTimeGranularityFixBufferResolution

- java.lang.Object
- - com.dlsc.flexgantt.model.scheduling.AbstractResolution<TimeGranularity>
  - - com.dlsc.flexgantt.model.scheduling.DefaultTimeGranularityFixBufferResolution

- All Implemented Interfaces:
    IResolution<TimeGranularity>

      public class DefaultTimeGranularityFixBufferResolution
      extends AbstractResolution<TimeGranularity>

  A simple resolution for correcting the buffer between two related timeline objects. The resolution can be applied to only the affected constraint or also to all successor constraints (waterfall).
  Since:
    2.1
  Author:
    Dirk Lemmermann

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultTimeGranularityFixBufferResolution(boolean waterfall)` Constructs a new instance of this resolution type.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `resolve(LayerContainer lc, IConstraint<?,TimeGranularity> constraint, Violation violation, IModelValidator validator)` Resolves / fixes the violated constraint.

    - ### Methods inherited from class com.dlsc.flexgantt.model.scheduling.AbstractResolution

      `getResolutionName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultTimeGranularityFixBufferResolution

          public DefaultTimeGranularityFixBufferResolution(boolean waterfall)

      Constructs a new instance of this resolution type.
      Parameters:
        `waterfall` - if TRUE then the resolution will be applied to all successor timeline objects and their constraints
      Since:
        2.1

  - ### Method Detail

    - #### resolve

          public void resolve(LayerContainer lc,
                              IConstraint<?,TimeGranularity> constraint,
                              Violation violation,
                              IModelValidator validator)

      Description copied from interface: `IResolution`
      Resolves / fixes the violated constraint.
      Parameters:
        `lc` - the layer container where the fix will take place
        `constraint` - the violated constraint
        `violation` - the violation
        `validator` - the validator used for recursive (waterfall) constraint resolution

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.